Page MenuHomePhabricator

Upgrade to flink 1.11
Closed, ResolvedPublic5 Estimated Story Points

Description

Update our dependencies to flink 1.11 and verify that everything works as expected.

interesting to know:

  • see if the app can be started from a flink 1.10 checkpoint
  • see if the unaligned checkpoints feature is part of the release and test if we can back-fill with default buffer size/parallelism

AC:

  • flink 1.11 is used

Size: M

Related Objects

Event Timeline

dcausse created this task.Jul 7 2020, 2:46 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 7 2020, 2:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

1.11 runs tasks main method on JobManager - system properties we set up on Task Managers need to be propagated there, too.

dcausse claimed this task.Jul 29 2020, 2:07 PM
dcausse triaged this task as Medium priority.
dcausse moved this task from Scaling to Current work on the Wikidata-Query-Service board.
dcausse set the point value for this task to 5.
dcausse moved this task from Incoming to In Progress on the Discovery-Search (Current work) board.

Change 617158 had a related patch set uploaded (by DCausse; owner: DCausse):
[wikidata/query/rdf@master] Switch to flink 1.11.1

https://gerrit.wikimedia.org/r/617158

Change 617158 merged by jenkins-bot:
[wikidata/query/rdf@master] Switch to flink 1.11.1

https://gerrit.wikimedia.org/r/617158

Gehel closed this task as Resolved.Aug 17 2020, 12:46 PM